(function() {
  $(function() {
    var editor, mobileToolbar, toolbar;
    toolbar = ['title', 'bold', 'italic', 'underline', 'strikethrough', 'color', '|', 'ol', 'ul', 'blockquote', 'code', 'table', '|', 'link', 'image', 'hr', '|', 'indent', 'outdent', '|', 'source', 'insert', 'at', 'hbimage'];
    mobileToolbar = ["bold", "underline", "strikethrough", "color", "ul", "ol", "insert", "at", "hbimage","table","code", "hr", "link", "source", "outdent", "blockquote"];
    if (mobilecheck()) {
      toolbar = mobileToolbar;
    }

    return window.editor = new Simditor({
      textarea: $('#txt-content'),
      placeholder: '这里输入文字...',
      toolbar: toolbar,
      toolbarHidden:true,
      pasteImage: true,
      defaultImage: 'assets/images/image.png',
      upload: location.search === '?upload' ? {
        url: '/upload'
      } : false,
      mention:{
          items:[
            {
              id:1,
              name:"春雨",
              pinyin:"chunyu",
              abbr:"cy",
              url:"http://www.example.com"
            },
            {
              id:2,
              name:"夏荷",
              pinyin:"xiahe",
              abbr:"xh",
            },
            {
              id:3,
              name:"秋叶",
              pinyin:"qiuye",
              abbr:"qy",
            },
            {
              id:4,
              name:"冬雪",
              pinyin:"dongxue",
              abbr:"dx",
            },
          ],
          itemRenderer:function($itemEl,data){
            $span = $('span',$itemEl)
            $('<img>').insertBefore($span)
            return $itemEl
          },
          linkRenderer:function($linkEl,data){
            $linkEl.attr('href',"www.example.com/"+data.id);
          }
        },
    });

    $(editor).on("mention",function(e,el,data){
        color = ( data.id%2==0? 'blue' : 'red' )
        $(el).css('color',color);
      });
  });

}).call(this);