var buttonStates = "";
var HB = window.HB;
function addEventHandler(target, type, func) {
    if (target.addEventListener)
        target.addEventListener(type, func, false);
    else if (target.attachEvent)
        target.attachEvent("on" + type, func);
    else target["on" + type] = func;
}
function removeEventHandler(target, type, func) {
    if (target.removeEventListener)
        target.removeEventListener(type, func, false);
    else if (target.detachEvent)
        target.detachEvent("on" + type, func);
    else delete target["on" + type];
}

function setIframeBodyClick() {
	var body = mobileEditor.getDocument().getElementsByTagName("body");
	addEventHandler(body[0], "touchstart", function(){enableEditor(this);});
}

function refreshCheckBoxEvent() {
    var dom = mobileEditor.getDocument();
    var inputArr = dom.getElementsByTagName("input");
    for(var i = 0; i < inputArr.length; i++) {
    	if(inputArr[i].attributes['type'].value == "image") {
    		if(inputArr[i].attributes["hb_editor_checkbox_value"].value != undefined) {
    			if(inputArr[i].attributes["isAddTouchStart"] == undefined) {
                	addEventHandler(inputArr[i], "touchstart", function(){onCheckBoxTouch(this);});
                	inputArr[i].setAttribute("isAddTouchStart", "1");
                }
	    	}
	    }
    }
}

function onCheckBoxTouch(checkboxItem) {
	if(checkboxItem.attributes["src"].value == "file:///android_asset/html/editor/todo_checked.png") {
		checkboxItem.setAttribute("hb_editor_checkbox_value", "2");
		checkboxItem.setAttribute("src", "file:///android_asset/html/editor/todo_unchecked.png");
	} else {
		checkboxItem.setAttribute("hb_editor_checkbox_value", "1");
		checkboxItem.setAttribute("src", "file:///android_asset/html/editor/todo_checked.png");
	}
//	document.location = "HB://HtmlEditor/hiddenKeyBoard";
}

function getbodyHeight() {
	document.location = HB.getWebViewHeight();
}

function setEditorButtonState (buttonState) {
	HB.setEditorButtonState(buttonState);
}

/**
 * 通过Js向java传网页内容
 */
function getContent(){
	HB.receiveContent(mobileEditor.getContent());
}

function removeImage(photoPath) {
	var dom = mobileEditor.getDocument();
	var imgArray = dom.getElementsByTagName("img");
	if(imgArray.length > 0) {
		var length = imgArray.length;
		for(var i = 0; i < length; i++) {
			if(imgArray[0].attributes['src'] != undefined && imgArray[0].attributes['src'].value == photoPath) {
				imgArray[0].parentNode.removeChild(imgArray[0]);
			}
		}
	}
}

function removeImageById(photoId) {
    var dom = mobileEditor.getDocument();
	var imgArray = dom.getElementsByTagName("img");
    if(imgArray.length > 0) {
		var length = imgArray.length;
		for(var i = 0; i < length; i++) {
			if(imgArray[i].attributes['hb_phid'] != undefined && imgArray[i].attributes['hb_phid'].value == photoId) {
				imgArray[i].parentNode.removeChild(imgArray[i]);
                return;
			}
		}
	}
}

function getAllPhotos(){
	var returnString = "";
	var dom = mobileEditor.getDocument();
	var imgArray = dom.getElementsByTagName("img");
	if(imgArray.length > 0){
		for(var i = 0; i < imgArray.length; i++){
			if(imgArray[0].attributes['hb_phid'] != undefined){
				if(i > 0){
					returnString += "|";
				}
				returnString += imgArray[i].attributes['hb_phid'].value;
			}
		}
	}
	HB.setPhotos(returnString);
}


function checkPhotoWasHas(photoPath) {
	var dom = mobileEditor.getDocument();
	var imgArray = dom.getElementsByTagName("img");
	if(imgArray.length > 0) {
		for(var i = 0; i < imgArray.length; i++) {
			if(imgArray[i].attributes['hb_mobile_photo_path'] != undefined && imgArray[i].attributes['hb_mobile_photo_path'].value == photoPath) {
				return true;
			}
		}
		return false;
	}
	return false;
}

function timer(){
	HB.saveContent(mobileEditor.getContent());
	setTimeout("timer()", 5000);
}

function getContent(){
    HB.saveContent(mobileEditor.getContent());
}
