/**
 author : max cong
 for mobile webview
 **/

function addEventHandler(target, type, func) {
    if (target.addEventListener)
        target.addEventListener(type, func, false);
    else if (target.attachEvent)
        target.attachEvent("on" + type, func);
    else target["on" + type] = func;
}
function removeEventHandler(target, type, func) {
    if (target.removeEventListener)
        target.removeEventListener(type, func, false);
    else if (target.detachEvent)
        target.detachEvent("on" + type, func);
    else delete target["on" + type];
}

function addHtmlData(data){
	document.getElementById("insert").innerHTML = data;
}

function addOnClickToImages() {
	addOnClickWithOpenUrl("img");
}

function addOnClickToSpans() {
	addOnClickWithOpenUrl("span");
}

function addOnClickWithOpenUrl(tagName) {
	var items = document.getElementsByTagName(tagName);
	for(var i = 0; i<items.length; i++) {
		if(items[i].attributes["hb_token"] != undefined && items[i].attributes["hb_openurl"] != undefined) {
			//alert("["+i+"]:"+items[i].attributes["hb_openurl"].value);
			if(items[i].attributes["hb_token"].value != "task" && items[i].attributes["hb_token"].value != "at") {
				items[i].setAttribute("hb_sourceclass", items[i].attributes["class"].value);
				addEventHandler(items[i], "click", function(){onOpenURLElementClick(this);});
				addEventHandler(items[i], "touchstart", function(){onTouchStart(this);});
				addEventHandler(items[i], "touchend", function(){onTouchEnd(this);});
			}
			
		}
	}
}

function onTouchStart (touchItem) {
	if(touchItem.attributes["hb_token"].value == "photo") {
		touchItem.className = touchItem.attributes["hb_sourceclass"].value + " on_openurl_photo_touchstart";
	} else {
		touchItem.className = touchItem.attributes["hb_sourceclass"].value + " on_openurl_touchstart";
	}
	//alert("start : " + touchItem.className);
}
function onTouchEnd(touchItem) {
	touchItem.className = touchItem.attributes["hb_sourceclass"].value;
    //alert("end : " + touchItem.className);
}

function addHtmlData(){
	document.getElementById("insert").innerHTML = HB.addHtmlData();
}
var itemmObject;
function aa(itemm){
		//alert(itemm.innerText);
		itemmObject = itemm;
		HB.showClilckHtml(itemm.innerHTML);
}

function backContent(str){
	alert(str);
	itemmObject.innerHTML = str;
}

function bb(s){
	alert(s);
}

function addClick(){
var items = document.getElementById("insert").childNodes;
	alert(items.length);
	for(var i = 0; i < items.length; i++){
		addEventHandler(items[i], "click", function(){aa(this);});	
	}
}