// 设置修改过的Field内容  type为文本类型
function setField(field_id,type){
    if (type == "edit_small_text") {
		// 单文本编辑
		window.HB.setField(field_id, type, fetchSmallTextContent(field_id));
	} else if (type == "edit_large_text") {
		// 多行文本编辑
		window.HB.setField(field_id, type, fetchLargeTextContent(field_id));
	} else if (type == "embed_text") {
		// 链接编辑
		window.HB.setField(field_id, type, fetchEmbedContent(field_id));
	} else if (type == "number_text") {
		// 数字编辑
		window.HB.setField(field_id, type, fetchNumberContent(field_id));
	};
}

// 显示选择文件界面
function showAddFile(field_id) {
	window.location.href = "huoban://file/add?field_id=" + field_id;
}

// 添加文件
function appendFile(field_id,file_id,file_name) {
    var li_node = $(field_id + "&" + file_id);
	if (li_node == undefined) {
		var ul_node = $(field_id).getElementsByTagName("ul")[0];
		var reforeNode = $(field_id + "_add");
		var newNode = document.createElement("li"); 
		newNode.setAttribute("id", field_id + "&" + file_id); 
		var loadingNode = "<i class='load_icon icon_right file_load_icon'></i>"
		var contentNode = "<i class='text_line'>" + file_name + "</i>";
		newNode.innerHTML = loadingNode;
		newNode.innerHTML = newNode.innerHTML + contentNode;
		ul_node.insertBefore(newNode,reforeNode);
	} else { 
		li_node.setAttribute("onclick","")
		var image_node = li_node.getElementsByTagName("img")[0]; 
		image_node.setAttribute("src","image/load.gif");
	};
}

// 更新文件
function updateFile(field_id,old_file_id,file_id) 
{
	var li_node = $(field_id + "&" + old_file_id);
	var i_Node = document.createElement("i");
	i_Node.setAttribute("class","ficon icon_right");
	i_Node.setAttribute("onclick","deleteFile('" + field_id + "','" + file_id + "')");
	i_Node.innerHTML = "&#xe699;";
	
	li_node.setAttribute("id",field_id + "&" + file_id);
	var load_node = li_node.childNodes[0];
	li_node.replaceChild(i_Node, load_node);
}

// 文件上传失败
function updateFileError(field_id,file_id)
{
	var li_node = $(field_id + "&" + old_file_id);
	var i_Node = document.createElement("i");
	i_Node.setAttribute("class","ficon icon_right");
	i_Node.setAttribute("onclick","reuploadFile('" + field_id + "','" + file_id + "')");
	i_Node.innerHTML = "&#xe654;";
	li_node.setAttribute("id",field_id + "&" + file_id);

	//li_node.setAttribute("onclick","reuploadFile('" + field_id + "','" + file_id + "')")
	var load_node = li_node.childNodes[0];
	li_node.replaceChild(i_Node, load_node);
}

// 重新上传
function reuploadFile(field_id,file_id)
{
	window.location.href = "huoban://file/reupload?field_id="+field_id+"&file_id="+file_id;
}


//替换html页面框架
function replay_html(info_html, content_html, comment_box) 
{
	if(info_html !== "null" && info_html !== undefined) {
    	init_html_info(info_html);
    }

    if(content_html !== "null" && content_html !== undefined) {
    	replay_content_html(content_html);
    }
   
    if(comment_box !== "null" && content_box !== undefined) {
    	insert_comment_box(comment_box);
    }
    //document.getElementById("empt").style.height = "1080px";
    //document.getElementById("empt").style.background = "#ff0000";
    //window.scrollTo(0,document.body.scrollHeight);
   // window.scrollTo(0, document.getElementById("content_box").offsetTop + document.getElementById("content_box").offsetHeight + document.getElementById("info_box").offsetTop - 10);
    
}

//替换正文
function replay_content_html(content_html) 
{   
	var content_node = $("content_box");
	content_html = content_html.replace(new RegExp("%5C%5C", "g"), "\\").replace(new RegExp("&#39;", "g"), "'").replace(new RegExp("&#00;", "g"), "%27").replace(new RegExp("&#01;", "g"), "%25").replace(new RegExp("&#02;", "g"), "%2B").replace(new RegExp("&#03;", "g"), "%2F");
	content_node.innerHTML = content_html;
	
	initImage();
	
}

//初始化item详情
function init_html_info(info_html) 
{	
	//alert(info_html);
	var info_node = $("info_box");
	//info_html = Base64.decode(info_html);
	info_node.innerHTML = info_html
}

// 添加评论字段信息
function insert_comment_box(comment_box) 
{
	var comment_box_node = $("comments");
	if(comment_box_node.childNodes.length <= 1) {
		comment_box_node.innerHTML = comment_box;
	}
	
}

// 通过锚点跳转到评论
function move_to_comments() 
{
	window.location.href = "#comments";
}

//通过锚点跳转到指定的评论上
function move_to_comment(comment_id) 
{
	window.location.href = "#" + comment_id;
}


